* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #f6f8fc;
  color: #1f2937;
  padding: 24px;
}
.search-filter {
  display: flex;
  background: #ffffff;
  padding: 20px;
  border-radius: 16px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
  margin-bottom: 24px;
  justify-content: space-between;
  align-items: center;
  
}
#logo{
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  height: 150px;
  
}
.filters-section {
  display: inline-block;
}
#search {
  width: 100%;
  padding: 14px 18px;
  height: 50px;
  border-radius: 12px;
  border: none;
  outline: none;
  font-size: 16px;
  background: #f1f5f9;
  margin-bottom: 16px;
}

.filters {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;

}

.filters select {
  padding: 10px 14px;
  border-radius: 10px;
  border: none;
  background: #f1f5f9;
  font-size: 14px;
  cursor: pointer;
}

.pokedex-container {
  display: grid;
  grid-template-columns: 3fr 1.3fr;
  gap: 24px;
}

.pokemon-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  gap: 20px;
}

.card {
  background: #ffffff;
  border-radius: 18px;
  padding: 16px;
  text-align: center;
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.05);
  transition: transform 0.25s ease, box-shadow 0.25s ease;
  cursor: pointer;
}

.card:hover {
  transform: translateY(-6px);
  box-shadow: 0 16px 35px rgba(0, 0, 0, 0.08);
}

.card img {
  width: 80px;
  height: 80px;
  object-fit: contain;
  margin-bottom: 10px;
}

.card h3 {
  font-size: 16px;
  font-weight: 600;
}

.card p {
  font-size: 13px;
  color: #64748b;
}

.pokemon-details {
  background: #ffffff;
  border-radius: 22px;
  padding: 20px;
  box-shadow: 0 10px 35px rgba(0, 0, 0, 0.07);
  position: sticky;
  top: 24px;
  height: fit-content;
}


.details-header {
  text-align: center;
  margin-bottom: 20px;
}

.details-header h2 {
  font-size: 22px;
  margin-bottom: 10px;
}

.details-header img {
  width: 140px;
  height: auto;
}


.details-info p {
  background: #f1f5f9;
  padding: 10px 14px;
  border-radius: 12px;
  font-size: 14px;
  margin-bottom: 10px;
}


.stats {
  margin-top: 18px;
}

.stats h3 {
  margin-bottom: 10px;
}

.stats p {
  font-size: 14px;
  margin-bottom: 6px;
}

#sort{
  margin-left: 10px;
}
#developers{
  margin-left: 20px;
  margin-bottom: 0px;

}
.githubid{
  text-decoration: none;
  color: red
}
.githubid:hover{
  text-decoration: underline;
  color: blue;
  font-variant: small-caps;
}
#type{
  margin-left: 10px;
}